PHP Manual
Prev |  | Next

# xml_get_current_line_number

(PHP 3 >= 3.0.6, PHP 4, PHP 5)

xml_get_current_line_number -- Get current line number for an XML parser

## Description

int xml_get_current_line_number ( resource parser )

Gets the current line number for the given XML parser.

## Parameters

`parser`

  A reference to the XML parser to get line number from.

## Return Values

This function returns `FALSE` if `parser` does not refer to a valid parser, or else it returns which line the parser is currently at in its data buffer.

## See Also

xml_get_current_column_index()
xml_get_current_byte_index()

Prev | Home | Next
xml_get_current_column_number | Up | xml_get_error_code